# QStyleOptionFrame Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionFrame()
- void QStyleOptionFrame(QStyleOptionFrame other)

### Constructor Properties

- prototype: The QStyleOptionFrame prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_Frame
- StyleOptionType( value )

### Instance Properties

QStyleOptionFrame objects have no special properties beyond those inherited from the QStyleOptionFrame prototype object.